package test.mybatis;

import org.junit.jupiter.api.Test;
import org.mybatis.spring.boot.test.autoconfigure.MybatisTest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.jdbc.Sql;
import org.springframework.test.context.junit.jupiter.SpringJUnitConfig;

import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.jupiter.api.Assertions.assertNotNull;

@SpringJUnitConfig
@MybatisTest
public class FooMapperTest {
    @Autowired
    private FooMapper classUnderTest;

    @Test
    @Sql("/insert_foo.sql")
    void should_find_one(){
        Foo foo = new Foo(new Bar("Nice String", 23), "Fancy Name");

        assertNotNull(classUnderTest.find().getBar());
    }
}
